## com.puppycrawl.tools.checkstyle.checks.coding
Class MissingCtorCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.DescendantTokenCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.MissingCtorCheck

All Implemented Interfaces:
  Configurable, Contextualizable

public class MissingCtorCheck
extends DescendantTokenCheck

Checks that classes (except abstract one) define a ctor and don't rely on the default one.

An example of how to configure the check is:

     <module name="MissingCtor"/>

Author:
  o_sukhodolsky

Constructor Summary
`MissingCtorCheck()` Creates new instance of the check.

Method Summary
`int[]` `getAcceptableTokens()`
`int[]` `getDefaultTokens()`
`void` `visitToken(DetailAST aAST)`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.DescendantTokenCheck
`setLimitedTokens, setMaximumDepth, setMaximumMessage, setMaximumNumber, setMinimumDepth, setMinimumMessage, setMinimumNumber`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MissingCtorCheck

    public MissingCtorCheck()

  Creates new instance of the check.

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Overrides:
    `getDefaultTokens` in class `DescendantTokenCheck`
  See Also:
    `Check.getDefaultTokens()`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Overrides:
    `getAcceptableTokens` in class `DescendantTokenCheck`
  See Also:
    `Check`

### visitToken

    public void visitToken(DetailAST aAST)

  Overrides:
    `visitToken` in class `DescendantTokenCheck`
  See Also:
    `Check`

Back to the Checkstyle Home Page